> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get libraryfiles preview



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json get /library/files/{fileId}/preview
openapi: 3.0.4
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
tags:
  - name: Account
  - name: AccountNotification
  - name: Agency
  - name: Analytics
  - name: Billing
  - name: Bot
  - name: BotMetric
  - name: BotSourceVariable
  - name: BotTemplate
  - name: BotTesting
  - name: Dashboard
  - name: Hierarchy
  - name: Lead
  - name: Leaderboard
  - name: Library
  - name: LiveDemo
  - name: Notification
  - name: Persona
  - name: Report
  - name: SmartFAQ
  - name: Source
  - name: SourceChannel
  - name: Webhook
paths:
  /library/files/{fileId}/preview:
    get:
      tags:
        - Library
      parameters:
        - name: fileId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/FilePreviewDto'
            application/json:
              schema:
                $ref: '#/components/schemas/FilePreviewDto'
            text/json:
              schema:
                $ref: '#/components/schemas/FilePreviewDto'
components:
  schemas:
    FilePreviewDto:
      type: object
      properties:
        fileId:
          type: string
          nullable: true
        fileName:
          type: string
          nullable: true
        fileType:
          type: string
          nullable: true
        fileStatus:
          type: string
          nullable: true
        fileSize:
          type: integer
          format: int64
        lastModified:
          type: string
          format: date-time
        previewSource:
          type: string
          nullable: true
        content:
          type: string
          nullable: true
        errorMessage:
          type: string
          nullable: true
        chunks:
          type: array
          items:
            $ref: '#/components/schemas/FilePreviewChunkDto'
          nullable: true
      additionalProperties: false
    FilePreviewChunkDto:
      type: object
      properties:
        chunkIndex:
          type: integer
          format: int32
        content:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````